StateMethodExpressionWrapper (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.ui.application.StateMethodExpressionWrapper class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.ui.application
Class StateMethodExpressionWrapper

    java.lang.Object
      javax.el.Expression
          javax.el.MethodExpression
              org.richfaces.ui.application.StateMethodExpressionWrapper

All Implemented Interfaces:
  java.io.Serializable

    public class StateMethodExpressionWrapper

extends javax.el.MethodExpression

Author:
  asmirnov
See Also:
  Serialized Form

Constructor Summary
`StateMethodExpressionWrapper(javax.el.MethodExpression parent, javax.el.ValueExpression baseObject)`

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getExpressionString()`
`javax.el.MethodInfo` | `getMethodInfo(javax.el.ELContext context)`
`int` | `hashCode()`
`java.lang.Object` | `invoke(javax.el.ELContext context, java.lang.Object[] params)`
`boolean` | `isLiteralText()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StateMethodExpressionWrapper

    public StateMethodExpressionWrapper(javax.el.MethodExpression parent,
                                        javax.el.ValueExpression baseObject)

Parameters:
  `parent` -

Method Detail

### getExpressionString

    public java.lang.String getExpressionString()

  Specified by:
    `getExpressionString` in class `javax.el.Expression`
  Returns:
  See Also:
    `Expression.getExpressionString()`

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(javax.el.ELContext context)

  Specified by:
    `getMethodInfo` in class `javax.el.MethodExpression`
  Parameters:
    `context` -
  Returns:
  See Also:
    `MethodExpression.getMethodInfo(javax.el.ELContext)`

### invoke

    public java.lang.Object invoke(javax.el.ELContext context,
                                   java.lang.Object[] params)

  Specified by:
    `invoke` in class `javax.el.MethodExpression`
  Parameters:
    `context` -
    `params` -
  Returns:
  See Also:
    `MethodExpression.invoke(javax.el.ELContext, java.lang.Object[])`

### isLiteralText

    public boolean isLiteralText()

  Specified by:
    `isLiteralText` in class `javax.el.Expression`
  Returns:
  See Also:
    `Expression.isLiteralText()`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in class `javax.el.Expression`
  Parameters:
    `obj` -
  Returns:
  See Also:
    `Expression.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in class `javax.el.Expression`
  Returns:
  See Also:
    `Expression.hashCode()`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.